/ Platform API
Platform API
    Chat Platform API v3
    Chat Platform API
    Chat Platform API
    Version 3

    Delete channel settings by a custom channel type

    Copy link

    You can delete the settings for the channels with the specified custom channel type using this API.


    HTTP Request

    Copy link
    DELETE https://api-{application_id}.sendbird.com/v3/applications/settings_by_channel_custom_type/{custom_type}
    

    Note: If you are using the in-app channel in Delight AI agent, the endpoint for your API request should start with https://api-{application_id}.svc.delight.ai/v3 instead of https://api-{application_id}.sendbird.com/v3. For more details, refer to our Delight AI agent guide.


    Parameters

    Copy link

    The following table lists the parameters that this action supports.

    Required
    Parameter nameTypeDescription

    custom_type

    string

    Specifies the custom channel type.


    Responses

    Copy link

    If successful, this action returns an empty response body.

    In the case of an error, an error object like below is returned. See the error codes section for more details.

    {
        "message": "Invalid value: \"JSON body.\".",
        "code": 400201,
        "error": true
    }